import { FastlyApiContext } from "./fastly-api.js";
type KVStoreInfo = {
    id: string;
    name: string;
};
type KVStoreEntryInfo = string;
export declare function getKVStoreIdForNameMap(fastlyApiContext: FastlyApiContext): Promise<Record<string, string>>;
export declare function getKVStoreIdForName(fastlyApiContext: FastlyApiContext, kvStoreName: string): Promise<string | null>;
export declare function getKVStoreInfos(fastlyApiContext: FastlyApiContext): Promise<KVStoreInfo[]>;
export declare const _getKVStoreKeys: (fastlyApiContext: FastlyApiContext, kvStoreId: string) => Promise<string[]>;
export declare function getKVStoreKeys(fastlyApiContext: FastlyApiContext, kvStoreName: string): Promise<KVStoreEntryInfo[] | null>;
export declare function kvStoreEntryExists(fastlyApiContext: FastlyApiContext, kvStoreName: string, key: string): Promise<boolean>;
export declare function kvStoreSubmitFile(fastlyApiContext: FastlyApiContext, kvStoreName: string, key: string, data: Uint8Array | string): Promise<void>;
export declare function kvStoreDeleteFile(fastlyApiContext: FastlyApiContext, kvStoreName: string, key: string): Promise<void>;
export {};
//# sourceMappingURL=kv-store.d.ts.map