import { ContentAsset, ContentAssetMetadataMapEntry, StoreEntry } from "../../types/index.js";
import { ContentAssetMetadataMapEntryKVStore } from "../../types/content-assets.js";
import { ContentCompressionTypes } from "../../constants/compression.js";
export declare class ContentKVStoreAsset implements ContentAsset {
    readonly type = "kv-store";
    private readonly metadata;
    private readonly kvStoreName;
    private readonly sourceAndInfo;
    private readonly compressedSourcesAndInfo;
    constructor(metadata: ContentAssetMetadataMapEntryKVStore, kvStoreName: string);
    get isLocal(): boolean;
    get assetKey(): string;
    getStoreEntry(acceptEncodingsGroups?: ContentCompressionTypes[][]): Promise<StoreEntry>;
    getBytes(): Uint8Array;
    getText(): string;
    getMetadata(): ContentAssetMetadataMapEntry;
}
//# sourceMappingURL=content-asset-kv-store.d.ts.map