export function getKVStoreKeysFromMetadata(contentAssetMetadataMap) {
    const results = new Set();
    for (const metadata of Object.values(contentAssetMetadataMap)) {
        if (metadata.type === 'kv-store') {
            results.add(metadata.fileInfo.kvStoreKey);
            for (const fileInfo of Object.values(metadata.compressedFileInfos)) {
                results.add(fileInfo.kvStoreKey);
            }
        }
    }
    return results;
}
